Skip to main content

Delete Call Records

DELETE 

/v1/users/{userId}/calls

Permanently deletes specified call records from the user's call history.

This operation:

  • Removes call metadata and screening results
  • Removes call analysis data

This action cannot be undone.

Use the request body to specify which call IDs to delete.

Path Parameters​


    userId stringrequired

    UUID for the given user

Header Parameters​


    x-hiya-product-version string

    Product version. The standard "major.minor.patch" format is highly encouraged without any leading characters; "2.1.3" or "3.0.0" for example.


    x-hiya-account-user-id stringrequired

    The identifier of a logged-in user. Same identifier that is used for /users/{user_id}

Body

required

application/json

Responses​

No Content